Package org.codehaus.groovy.ast.expr

## Class ConstructorCallExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ConstructorCallExpression

- All Implemented Interfaces:
    `MethodCall`

      public class ConstructorCallExpression
      extends Expression
      implements MethodCall

  A constructor call

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstructorCallExpression​(ClassNode type, Expression arguments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getArguments()` |
    `String` | `getMethodAsString()` |
    `ASTNode` | `getReceiver()` |
    `String` | `getText()` |
    `boolean` | `isSpecialCall()` |
    `boolean` | `isSuperCall()` |
    `boolean` | `isThisCall()` |
    `boolean` | `isUsingAnonymousInnerClass()` |
    `void` | `setUsingAnonymousInnerClass​(boolean usage)` |
    `String` | `toString()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorCallExpression

          public ConstructorCallExpression​(ClassNode type,
                                           Expression arguments)

  - ### Method Detail

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getReceiver

          public ASTNode getReceiver()

      Specified by:
        `getReceiver` in interface `MethodCall`

    - #### getMethodAsString

          public String getMethodAsString()

      Specified by:
        `getMethodAsString` in interface `MethodCall`

    - #### getArguments

          public Expression getArguments()

      Specified by:
        `getArguments` in interface `MethodCall`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `MethodCall`
      Overrides:
        `getText` in class `ASTNode`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isSuperCall

          public boolean isSuperCall()

    - #### isSpecialCall

          public boolean isSpecialCall()

    - #### isThisCall

          public boolean isThisCall()

    - #### setUsingAnonymousInnerClass

          public void setUsingAnonymousInnerClass​(boolean usage)

    - #### isUsingAnonymousInnerClass

          public boolean isUsingAnonymousInnerClass()